%global packname  here
%global rlibdir  %{_datadir}/R/library

Name:             R-%{packname}
Version:          0.1
Release:          1%{?dist}
Summary:          A Simpler Way to Find Your Files

License:          GPLv3
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:
# Imports:   R-rprojroot >= 1.2
# Suggests:
# LinkingTo:
# Enhances:

BuildArch:        noarch
Requires:         R-core
Requires:         R-rprojroot >= 1.2
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-rprojroot >= 1.2

%description
Constructs paths to your project's files. The 'here()' function uses a
reasonable heuristic to find your project's files, based on the current working
directory at the time when the package is loaded. Use it as a drop-in
replacement for 'file.path()', it will always locate the files relative to your
project root.


%prep
%setup -q -c -n %{packname}


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%{_bindir}/R CMD check %{packname}


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS.md
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help


%changelog
* Wed Feb 20 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.1-1
- initial package for Fedora
